"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _CloneButton = require("../CloneButton");

describe('<CloneButton />', function () {
  it('should pass a clone of the record in the location state', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_CloneButton.CloneButton, {
      record: {
        id: 123,
        foo: 'bar'
      }
    }));
    expect(wrapper.prop('to')).toEqual(expect.objectContaining({
      state: {
        record: {
          foo: 'bar'
        }
      }
    }));
  });
});