"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _raCore = require("ra-core");

var _Create = require("../Create");

describe('<Create />', function () {
  var defaultCreateProps = {
    basePath: '/foo',
    id: '123',
    resource: 'foo',
    location: {},
    match: {}
  };
  it('should display aside component', function () {
    var Dummy = function Dummy() {
      return _react.default.createElement("div", null);
    };

    var Aside = function Aside() {
      return _react.default.createElement("div", {
        id: "aside"
      }, "Hello");
    };

    var wrapper = (0, _enzyme.render)(_react.default.createElement(_raCore.TestContext, null, _react.default.createElement(_Create.Create, (0, _extends2.default)({}, defaultCreateProps, {
      aside: _react.default.createElement(Aside, null)
    }), _react.default.createElement(Dummy, null))));
    var aside = wrapper.find('#aside');
    expect(aside.text()).toEqual('Hello');
  });
});