"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _SimpleShowLayout = _interopRequireDefault(require("../SimpleShowLayout"));

var _TextField = _interopRequireDefault(require("../../field/TextField"));

describe('<SimpleShowLayout />', function () {
  it('should display children inputs of SimpleShowLayout', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_SimpleShowLayout.default, null, _react.default.createElement(_TextField.default, {
      source: "foo"
    }), _react.default.createElement(_TextField.default, {
      source: "bar"
    })));
    var inputs = wrapper.find('pure(TextField)');
    expect(inputs.map(function (i) {
      return i.prop('source');
    })).toEqual(['foo', 'bar']);
  });
});