"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _pure = _interopRequireDefault(require("recompose/pure"));

var _CardContent = _interopRequireDefault(require("@material-ui/core/CardContent"));

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

var _compose = _interopRequireDefault(require("recompose/compose"));

var _raCore = require("ra-core");

var PaginationLimit = function PaginationLimit(_ref) {
  var translate = _ref.translate;
  return _react.default.createElement(_CardContent.default, null, _react.default.createElement(_Typography.default, {
    variant: "body1"
  }, translate('ra.navigation.no_results')));
};

PaginationLimit.propTypes = {
  translate: _propTypes.default.func.isRequired
};
var enhance = (0, _compose.default)(_pure.default, _raCore.translate);

var _default = enhance(PaginationLimit);

exports.default = _default;
module.exports = exports.default;