"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _raCore = require("ra-core");

var _Show = require("../Show");

describe('<Show />', function () {
  var defaultShowProps = {
    basePath: '/',
    id: '123',
    resource: 'foo',
    location: {},
    match: {}
  };
  it('should display aside component', function () {
    var Aside = function Aside() {
      return _react.default.createElement("div", {
        id: "aside"
      }, "Hello");
    };

    var wrapper = (0, _enzyme.render)(_react.default.createElement(_raCore.TestContext, null, _react.default.createElement(_Show.Show, (0, _extends2.default)({}, defaultShowProps, {
      aside: _react.default.createElement(Aside, null)
    }), _react.default.createElement("div", null))));
    var aside = wrapper.find('#aside');
    expect(aside.text()).toEqual('Hello');
  });
});