"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _assert = _interopRequireDefault(require("assert"));

var _enzyme = require("enzyme");

var _ChipField = require("../ChipField");

describe('<ChipField />', function () {
  it('should display the record value added as source', function () {
    return _assert.default.equal((0, _enzyme.shallow)(_react.default.createElement(_ChipField.ChipField, {
      className: "className",
      source: "name",
      record: {
        name: 'foo'
      }
    })).text(), 'foo');
  });
  it('should not display any label added as props', function () {
    return _assert.default.equal((0, _enzyme.shallow)(_react.default.createElement(_ChipField.ChipField, {
      className: "className",
      source: "name",
      record: {
        name: 'foo'
      },
      label: "bar"
    })).text(), 'foo');
  });
});