"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _materialUiChipInput = _interopRequireDefault(require("material-ui-chip-input"));

var _styles = require("@material-ui/core/styles");

var chipInputStyles = {
  label: {
    top: 18
  },
  labelShrink: {
    top: 8
  },
  chipContainer: {
    alignItems: 'center',
    display: 'flex',
    minHeight: 50
  }
};

var AutocompleteArrayInputChip = function AutocompleteArrayInputChip(props) {
  return _react.default.createElement(_materialUiChipInput.default, props);
};

var _default = (0, _styles.withStyles)(chipInputStyles)(AutocompleteArrayInputChip);

exports.default = _default;
module.exports = exports.default;